Index: apply/apply.c
===================================================================
RCS file: /cvs/src/usr.bin/apply/apply.c,v
retrieving revision 1.4
diff -u -u -r1.4 apply.c
--- apply/apply.c	19 Jun 2004 12:34:52 -0000	1.4
+++ apply/apply.c	7 Nov 2004 20:02:13 -0000
@@ -205,7 +205,7 @@
 
 		/* Run the command. */
 		if (debug)
-			(void)printf("%s\n", c);
+			printf("%s\n", c);
 		else
 			if (exec_shell(c, shell, name))
 				rval = 1;
@@ -240,7 +240,7 @@
 	case -1:			/* error */
 		err(1, "vfork");
 	case 0:				/* child */
-		(void)sigsetmask(omask);
+		sigsetmask(omask);
 		execl(use_shell, use_name, "-c", command, (char *)NULL);
 		warn("%s", use_shell);
 		_exit(1);
@@ -248,9 +248,9 @@
 	intsave = signal(SIGINT, SIG_IGN);
 	quitsave = signal(SIGQUIT, SIG_IGN);
 	pid = waitpid(pid, &pstat, 0);
-	(void)sigsetmask(omask);
-	(void)signal(SIGINT, intsave);
-	(void)signal(SIGQUIT, quitsave);
+	sigsetmask(omask);
+	signal(SIGINT, intsave);
+	signal(SIGQUIT, quitsave);
 	return(pid == -1 ? -1 : pstat);
 }
 
@@ -258,7 +258,7 @@
 usage(void)
 {
 
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	"usage: apply [-a magic] [-d] [-0123456789] command arguments ...\n");
 	exit(1);
 }
Index: ar/append.c
===================================================================
RCS file: /cvs/src/usr.bin/ar/append.c,v
retrieving revision 1.3
diff -u -u -r1.3 append.c
--- ar/append.c	2 Oct 2003 17:42:25 -0000	1.3
+++ ar/append.c	7 Nov 2004 20:02:13 -0000
@@ -77,11 +77,11 @@
 			continue;
 		}
 		if (options & AR_V)
-			(void)printf("q - %s\n", file);
+			printf("q - %s\n", file);
 		cf.rfd = fd;
 		cf.rname = file;
 		put_arobj(&cf, &sb);
-		(void)close(fd);
+		close(fd);
 	}
 	close_archive(afd);
 	return (eval);
Index: ar/ar.c
===================================================================
RCS file: /cvs/src/usr.bin/ar/ar.c,v
retrieving revision 1.4
diff -u -u -r1.4 ar.c
--- ar/ar.c	3 Nov 2003 19:31:28 -0000	1.4
+++ ar/ar.c	7 Nov 2004 20:02:13 -0000
@@ -75,7 +75,7 @@
 	char *p;
 	int (*fcall)(char **) = NULL;
 
-	(void) setlocale(LC_TIME, "");;
+	setlocale(LC_TIME, "");;
 
 	if (argc < 3)
 		usage();
@@ -88,7 +88,7 @@
 		if (!(p = malloc((u_int)(strlen(argv[1]) + 2))))
 			err(1, NULL);
 		*p = '-';
-		(void)strcpy(p + 1, argv[1]);
+		strcpy(p + 1, argv[1]);
 		argv[1] = p;
 	}
 
@@ -221,7 +221,7 @@
 usage(void)
 {
 
-	(void)fprintf(stderr, "%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n",
 		"usage: ar -d [-Tv] archive file ...",
 		"       ar -m [-Tv] archive file ...",
 		"       ar -m [-abiTv] position archive file ...",
Index: ar/archive.c
===================================================================
RCS file: /cvs/src/usr.bin/ar/archive.c,v
retrieving revision 1.3
diff -u -u -r1.3 archive.c
--- ar/archive.c	2 Oct 2003 17:42:25 -0000	1.3
+++ ar/archive.c	7 Nov 2004 20:02:13 -0000
@@ -110,7 +110,7 @@
 close_archive(int fd)
 {
 
-	(void)close(fd);			/* Implicit unlock. */
+	close(fd);			/* Implicit unlock. */
 }
 
 /* Convert ar header field to an integer. */
@@ -207,7 +207,7 @@
 	 */
 	if (sb) {
 		name = basename(cfp->rname);
-		(void)fstat(cfp->rfd, sb);
+		fstat(cfp->rfd, sb);
 
 		/*
 		 * If not truncating names and the name is too long or contains
@@ -216,23 +216,23 @@
 		lname = strlen(name);
 		if (options & AR_TR) {
 			if (lname > OLDARMAXNAME) {
-				(void)fflush(stdout);
+				fflush(stdout);
 				warnx("warning: %s truncated to %.*s",
 				    name, OLDARMAXNAME, name);
-				(void)fflush(stderr);
+				fflush(stderr);
 			}
-			(void)sprintf(hb, HDR3, name,
+			sprintf(hb, HDR3, name,
 			    (long)sb->st_mtimespec.tv_sec, sb->st_uid,
 			    sb->st_gid, sb->st_mode, sb->st_size, ARFMAG);
 			lname = 0;
 		} else if (lname > sizeof(hdr->ar_name) || strchr(name, ' '))
-			(void)sprintf(hb, HDR1, AR_EFMT1, lname,
+			sprintf(hb, HDR1, AR_EFMT1, lname,
 			    (long)sb->st_mtimespec.tv_sec, sb->st_uid,
 			    sb->st_gid, sb->st_mode, sb->st_size + lname,
 			    ARFMAG);
 		else {
 			lname = 0;
-			(void)sprintf(hb, HDR2, name,
+			sprintf(hb, HDR2, name,
 			    (long)sb->st_mtimespec.tv_sec, sb->st_uid,
 			    sb->st_gid, sb->st_mode, sb->st_size, ARFMAG);
 		}
Index: ar/contents.c
===================================================================
RCS file: /cvs/src/usr.bin/ar/contents.c,v
retrieving revision 1.3
diff -u -u -r1.3 contents.c
--- ar/contents.c	2 Oct 2003 17:42:25 -0000	1.3
+++ ar/contents.c	7 Nov 2004 20:02:13 -0000
@@ -77,20 +77,20 @@
 		if (options & AR_V) {
 			static int d_first = -1;
 
-			(void)strmode(chdr.mode, buf);
-			(void)printf("%s %6d/%-6d %8qd ",
+			strmode(chdr.mode, buf);
+			printf("%s %6d/%-6d %8qd ",
 			    buf + 1, chdr.uid, chdr.gid, chdr.size);
 
 			if (d_first < 0)
 				d_first = (*nl_langinfo(D_MD_ORDER) == 'd');
 			tp = localtime(&chdr.date);
-			(void)strftime(buf, sizeof(buf),
+			strftime(buf, sizeof(buf),
 				       d_first ? "%e %b %R %Y" :
 						 "%b %e %R %Y",
 				       tp);
-			(void)printf("%s %s\n", buf, file);
+			printf("%s %s\n", buf, file);
 		} else
-			(void)printf("%s\n", file);
+			printf("%s\n", file);
 		if (!all && !*argv)
 			break;
 next:		skip_arobj(afd);
Index: ar/delete.c
===================================================================
RCS file: /cvs/src/usr.bin/ar/delete.c,v
retrieving revision 1.3
diff -u -u -r1.3 delete.c
--- ar/delete.c	2 Oct 2003 17:42:25 -0000	1.3
+++ ar/delete.c	7 Nov 2004 20:02:13 -0000
@@ -71,7 +71,7 @@
 	while (get_arobj(afd)) {
 		if (*argv && (file = files(argv))) {
 			if (options & AR_V)
-				(void)printf("d - %s\n", file);
+				printf("d - %s\n", file);
 			skip_arobj(afd);
 			continue;
 		}
@@ -79,12 +79,12 @@
 	}
 
 	size = lseek(tfd, (off_t)0, SEEK_CUR);
-	(void)lseek(tfd, (off_t)0, SEEK_SET);
-	(void)lseek(afd, (off_t)SARMAG, SEEK_SET);
+	lseek(tfd, (off_t)0, SEEK_SET);
+	lseek(afd, (off_t)SARMAG, SEEK_SET);
 	SETCF(tfd, tname, afd, archive, NOPAD);
 	copy_ar(&cf, size);
-	(void)close(tfd);
-	(void)ftruncate(afd, size + SARMAG);
+	close(tfd);
+	ftruncate(afd, size + SARMAG);
 	close_archive(afd);
 
 	if (*argv) {
Index: ar/extract.c
===================================================================
RCS file: /cvs/src/usr.bin/ar/extract.c,v
retrieving revision 1.3
diff -u -u -r1.3 extract.c
--- ar/extract.c	2 Oct 2003 17:42:25 -0000	1.3
+++ ar/extract.c	7 Nov 2004 20:02:13 -0000
@@ -96,7 +96,7 @@
 		}
 
 		if (options & AR_V)
-			(void)printf("x - %s\n", file);
+			printf("x - %s\n", file);
 
 		cf.wfd = tfd;
 		cf.wname = file;
@@ -113,7 +113,7 @@
 				eval = 1;
 			}
 		}
-		(void)close(tfd);
+		close(tfd);
 		if (!all && !*argv)
 			break;
 	}
Index: ar/misc.c
===================================================================
RCS file: /cvs/src/usr.bin/ar/misc.c,v
retrieving revision 1.3
diff -u -u -r1.3 misc.c
--- ar/misc.c	2 Oct 2003 17:42:25 -0000	1.3
+++ ar/misc.c	7 Nov 2004 20:02:13 -0000
@@ -71,16 +71,16 @@
 	}
 
 	if (envtmp)
-		(void)sprintf(path, "%s/%s", envtmp, _NAME_ARTMP);
+		sprintf(path, "%s/%s", envtmp, _NAME_ARTMP);
 	else
 		strcpy(path, _PATH_ARTMP);
 
 	sigfillset(&set);
-	(void)sigprocmask(SIG_BLOCK, &set, &oset);
+	sigprocmask(SIG_BLOCK, &set, &oset);
 	if ((fd = mkstemp(path)) == -1)
 		error(tname);
-        (void)unlink(path);
-	(void)sigprocmask(SIG_SETMASK, &oset, NULL);
+        unlink(path);
+	sigprocmask(SIG_SETMASK, &oset, NULL);
 	return (fd);
 }
 
Index: ar/move.c
===================================================================
RCS file: /cvs/src/usr.bin/ar/move.c,v
retrieving revision 1.3
diff -u -u -r1.3 move.c
--- ar/move.c	2 Oct 2003 17:42:25 -0000	1.3
+++ ar/move.c	7 Nov 2004 20:02:13 -0000
@@ -87,7 +87,7 @@
 	for (curfd = tfd1; get_arobj(afd);) {
 		if (*argv && (file = files(argv))) {
 			if (options & AR_V)
-				(void)printf("m - %s\n", file);
+				printf("m - %s\n", file);
 			cf.wfd = tfd2;
 			put_arobj(&cf, (struct stat *)NULL);
 			continue;
@@ -111,24 +111,24 @@
 		close_archive(afd);
 		return (1);
 	}
-	(void)lseek(afd, (off_t)SARMAG, SEEK_SET);
+	lseek(afd, (off_t)SARMAG, SEEK_SET);
 
 	SETCF(tfd1, tname, afd, archive, NOPAD);
 	tsize = size = lseek(tfd1, (off_t)0, SEEK_CUR);
-	(void)lseek(tfd1, (off_t)0, SEEK_SET);
+	lseek(tfd1, (off_t)0, SEEK_SET);
 	copy_ar(&cf, size);
 
 	tsize += size = lseek(tfd2, (off_t)0, SEEK_CUR);
-	(void)lseek(tfd2, (off_t)0, SEEK_SET);
+	lseek(tfd2, (off_t)0, SEEK_SET);
 	cf.rfd = tfd2;
 	copy_ar(&cf, size);
 
 	tsize += size = lseek(tfd3, (off_t)0, SEEK_CUR);
-	(void)lseek(tfd3, (off_t)0, SEEK_SET);
+	lseek(tfd3, (off_t)0, SEEK_SET);
 	cf.rfd = tfd3;
 	copy_ar(&cf, size);
 
-	(void)ftruncate(afd, tsize + SARMAG);
+	ftruncate(afd, tsize + SARMAG);
 	close_archive(afd);
 
 	if (*argv) {
Index: ar/print.c
===================================================================
RCS file: /cvs/src/usr.bin/ar/print.c,v
retrieving revision 1.3
diff -u -u -r1.3 print.c
--- ar/print.c	2 Oct 2003 17:42:25 -0000	1.3
+++ ar/print.c	7 Nov 2004 20:02:13 -0000
@@ -72,8 +72,8 @@
 			continue;
 		}
 		if (options & AR_V) {
-			(void)printf("\n<%s>\n\n", file);
-			(void)fflush(stdout);
+			printf("\n<%s>\n\n", file);
+			fflush(stdout);
 		}
 		copy_ar(&cf, chdr.size);
 		if (!all && !*argv)
Index: ar/replace.c
===================================================================
RCS file: /cvs/src/usr.bin/ar/replace.c,v
retrieving revision 1.3
diff -u -u -r1.3 replace.c
--- ar/replace.c	2 Oct 2003 17:42:25 -0000	1.3
+++ ar/replace.c	7 Nov 2004 20:02:13 -0000
@@ -100,19 +100,19 @@
 				warn("%s", file);
 				goto useold;
 			}
-			(void)fstat(sfd, &sb);
+			fstat(sfd, &sb);
 			if (options & AR_U && sb.st_mtime <= chdr.date) {
-				(void) close(sfd);
+				close(sfd);
 				goto useold;
 			}
 
 			if (options & AR_V)
-			     (void)printf("r - %s\n", file);
+			     printf("r - %s\n", file);
 
 			/* Read from disk, write to an archive; pad on write */
 			SETCF(sfd, file, curfd, tname, WPAD);
 			put_arobj(&cf, &sb);
-			(void)close(sfd);
+			close(sfd);
 			skip_arobj(afd);
 			continue;
 		}
@@ -142,36 +142,36 @@
 	/* Append any left-over arguments to the end of the after file. */
 append:	while ( (file = *argv++) ) {
 		if (options & AR_V)
-			(void)printf("a - %s\n", file);
+			printf("a - %s\n", file);
 		if ((sfd = open(file, O_RDONLY)) < 0) {
 			errflg = 1;
 			warn("%s", file);
 			continue;
 		}
-		(void)fstat(sfd, &sb);
+		fstat(sfd, &sb);
 		/* Read from disk, write to an archive; pad on write. */
 		SETCF(sfd, file,
 		    options & (AR_A|AR_B) ? tfd1 : tfd2, tname, WPAD);
 		put_arobj(&cf, &sb);
-		(void)close(sfd);
+		close(sfd);
 	}
 
-	(void)lseek(afd, (off_t)SARMAG, SEEK_SET);
+	lseek(afd, (off_t)SARMAG, SEEK_SET);
 
 	SETCF(tfd1, tname, afd, archive, NOPAD);
 	if (tfd1 != -1) {
 		tsize = size = lseek(tfd1, (off_t)0, SEEK_CUR);
-		(void)lseek(tfd1, (off_t)0, SEEK_SET);
+		lseek(tfd1, (off_t)0, SEEK_SET);
 		copy_ar(&cf, size);
 	} else
 		tsize = 0;
 
 	tsize += size = lseek(tfd2, (off_t)0, SEEK_CUR);
-	(void)lseek(tfd2, (off_t)0, SEEK_SET);
+	lseek(tfd2, (off_t)0, SEEK_SET);
 	cf.rfd = tfd2;
 	copy_ar(&cf, size);
 
-	(void)ftruncate(afd, tsize + SARMAG);
+	ftruncate(afd, tsize + SARMAG);
 	close_archive(afd);
 	return (errflg);
 }
Index: basename/basename.c
===================================================================
RCS file: /cvs/src/usr.bin/basename/basename.c,v
retrieving revision 1.3
diff -u -u -r1.3 basename.c
--- basename/basename.c	2 Oct 2003 17:42:25 -0000	1.3
+++ basename/basename.c	7 Nov 2004 20:02:13 -0000
@@ -74,7 +74,7 @@
 	if (*++argv && (q = strchr(p, '\0') - strlen(*argv)) > p &&
 	    strcmp(*argv, q) == 0)
 			*q = '\0';
-	(void)printf("%s\n", p);
+	printf("%s\n", p);
 	exit(0);
 }
 
@@ -82,6 +82,6 @@
 usage(void)
 {
 
-	(void)fprintf(stderr, "usage: basename string [suffix]\n");
+	fprintf(stderr, "usage: basename string [suffix]\n");
 	exit(1);
 }
Index: biff/biff.c
===================================================================
RCS file: /cvs/src/usr.bin/biff/biff.c,v
retrieving revision 1.3
diff -u -u -r1.3 biff.c
--- biff/biff.c	2 Oct 2003 17:42:25 -0000	1.3
+++ biff/biff.c	7 Nov 2004 20:02:13 -0000
@@ -73,7 +73,7 @@
 		err(2, "stat");
 
 	if (*argv == NULL) {
-		(void)printf("is %s\n",
+		printf("is %s\n",
 		    sb.st_mode & S_IXUSR ? "y" :
 		    sb.st_mode & S_IXGRP ? "b" : "n");
 		return(sb.st_mode & (S_IXUSR | S_IXGRP) ? 0 : 1);
@@ -102,6 +102,6 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: biff [n | y | b]\n");
+	fprintf(stderr, "usage: biff [n | y | b]\n");
 	exit(2);
 }
Index: c89/c89.c
===================================================================
RCS file: /cvs/src/usr.bin/c89/c89.c,v
retrieving revision 1.2
diff -u -u -r1.2 c89.c
--- c89/c89.c	17 Jun 2003 04:29:25 -0000	1.2
+++ c89/c89.c	7 Nov 2004 20:02:13 -0000
@@ -89,7 +89,7 @@
 	/* Append argv[1..] at the end of Argv[]. */
 	for (i = 1; i <= argc; ++i)
 		Argv[Argc++] = argv[i];
-	(void)execv(CC, Argv);
+	execv(CC, Argv);
 	err(1, "execv(" CC ")");
 }
 
Index: calendar/calendar.c
===================================================================
RCS file: /cvs/src/usr.bin/calendar/calendar.c,v
retrieving revision 1.3
diff -u -u -r1.3 calendar.c
--- calendar/calendar.c	2 Oct 2003 17:42:26 -0000	1.3
+++ calendar/calendar.c	7 Nov 2004 20:02:13 -0000
@@ -61,7 +61,7 @@
 {
 	int ch;
 
-	(void) setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 
 	while ((ch = getopt(argc, argv, "-af:t:A:B:F:W:")) != -1)
 		switch (ch) {
@@ -111,18 +111,18 @@
 
 	/* use current time */
 	if (f_time <= 0) 
-	    (void)time(&f_time);
+	    time(&f_time);
 
 	settime(f_time);
 	
 	if (doall)
 		while ((pw = getpwent()) != NULL) {
-			(void)setegid(pw->pw_gid);
-			(void)initgroups(pw->pw_name, pw->pw_gid);
-			(void)seteuid(pw->pw_uid);
+			setegid(pw->pw_gid);
+			initgroups(pw->pw_name, pw->pw_gid);
+			seteuid(pw->pw_uid);
 			if (!chdir(pw->pw_dir))
 				cal();
-			(void)seteuid(0);
+			seteuid(0);
 		}
 	else
 		cal();
@@ -133,7 +133,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr, "%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n",
 	    "usage: calendar [-a] [-A days] [-B days] [-F friday] "
 	    "[-f calendarfile]",
 	    "                [-t dd[.mm[.year]]] [-W days]");
Index: calendar/day.c
===================================================================
RCS file: /cvs/src/usr.bin/calendar/day.c,v
retrieving revision 1.3
diff -u -u -r1.3 day.c
--- calendar/day.c	2 Oct 2003 17:42:26 -0000	1.3
+++ calendar/day.c	7 Nov 2004 20:02:13 -0000
@@ -156,9 +156,9 @@
 	lbufp = setlocale(LC_TIME, NULL);
 	if (lbufp != NULL && (oldl = strdup(lbufp)) == NULL)
 		errx(1, "cannot allocate memory");
-	(void) setlocale(LC_TIME, "C");
+	setlocale(LC_TIME, "C");
 	header[5].iov_len = strftime(dayname, sizeof(dayname), "%A", tp);
-	(void) setlocale(LC_TIME, (oldl != NULL ? oldl : ""));
+	setlocale(LC_TIME, (oldl != NULL ? oldl : ""));
 	if (oldl != NULL)
 		free(oldl);
 
@@ -174,7 +174,7 @@
     int d, m, y;
     struct tm tm;
 
-    (void)time(&t);
+    time(&t);
     tp = localtime(&t);
 
     tm.tm_sec = 0;
Index: calendar/io.c
===================================================================
RCS file: /cvs/src/usr.bin/calendar/io.c,v
retrieving revision 1.4
diff -u -u -r1.4 io.c
--- calendar/io.c	6 Jan 2004 15:29:09 -0000	1.4
+++ calendar/io.c	7 Nov 2004 20:02:13 -0000
@@ -102,7 +102,7 @@
 		if (buf[0] == '\0')
 			continue;
 		if (strncmp(buf, "LANG=", 5) == 0) {
-			(void) setlocale(LC_ALL, buf + 5);
+			setlocale(LC_ALL, buf + 5);
 			d_first = (*nl_langinfo(D_MD_ORDER) == 'd');
 			setnnames();
 			continue;
@@ -142,10 +142,10 @@
 				tm.tm_mon = month - 1;
 				tm.tm_mday = day;
 				tm.tm_year = tp->tm_year; /* unused */
-				(void)strftime(dbuf, sizeof(dbuf),
+				strftime(dbuf, sizeof(dbuf),
 					       d_first ? "%e %b" : "%b %e",
 					       &tm);
-				(void)fprintf(fp, "%s%c%s\n", dbuf,
+				fprintf(fp, "%s%c%s\n", dbuf,
 				    var ? '*' : ' ', p);
 			}
 		}
@@ -254,16 +254,16 @@
 		return (NULL);
 	switch (fork()) {
 	case -1:			/* error */
-		(void)close(pdes[0]);
-		(void)close(pdes[1]);
+		close(pdes[0]);
+		close(pdes[1]);
 		return (NULL);
 	case 0:
 		/* child -- stdin already setup, set stdout to pipe input */
 		if (pdes[1] != STDOUT_FILENO) {
-			(void)dup2(pdes[1], STDOUT_FILENO);
-			(void)close(pdes[1]);
+			dup2(pdes[1], STDOUT_FILENO);
+			close(pdes[1]);
 		}
-		(void)close(pdes[0]);
+		close(pdes[0]);
 		uid = geteuid();
 		if (setuid(getuid()) < 0) {
 			warnx("first setuid failed");
@@ -284,16 +284,16 @@
 		_exit(1);
 	}
 	/* parent -- set stdin to pipe output */
-	(void)dup2(pdes[0], STDIN_FILENO);
-	(void)close(pdes[0]);
-	(void)close(pdes[1]);
+	dup2(pdes[0], STDIN_FILENO);
+	close(pdes[0]);
+	close(pdes[1]);
 
 	/* not reading all calendar files, just set output to stdout */
 	if (!doall)
 		return (stdout);
 
 	/* set output to a temporary file, so if no output don't send mail */
-	(void)snprintf(path, sizeof(path), "%s/_calXXXXXX", _PATH_TMP);
+	snprintf(path, sizeof(path), "%s/_calXXXXXX", _PATH_TMP);
 	if ((fd = mkstemp(path)) < 0)
 		return (NULL);
 	return (fdopen(fd, "w+"));
@@ -310,23 +310,23 @@
 	if (!doall)
 		return;
 
-	(void)rewind(fp);
+	rewind(fp);
 	if (fstat(fileno(fp), &sbuf) || !sbuf.st_size)
 		goto done;
 	if (pipe(pdes) < 0)
 		goto done;
 	switch (fork()) {
 	case -1:			/* error */
-		(void)close(pdes[0]);
-		(void)close(pdes[1]);
+		close(pdes[0]);
+		close(pdes[1]);
 		goto done;
 	case 0:
 		/* child -- set stdin to pipe output */
 		if (pdes[0] != STDIN_FILENO) {
-			(void)dup2(pdes[0], STDIN_FILENO);
-			(void)close(pdes[0]);
+			dup2(pdes[0], STDIN_FILENO);
+			close(pdes[0]);
 		}
-		(void)close(pdes[1]);
+		close(pdes[1]);
 		uid = geteuid();
 		if (setuid(getuid()) < 0) {
 			warnx("setuid failed");
@@ -346,15 +346,15 @@
 		_exit(1);
 	}
 	/* parent -- write to pipe input */
-	(void)close(pdes[0]);
+	close(pdes[0]);
 
 	header[1].iov_base = header[3].iov_base = pw->pw_name;
 	header[1].iov_len = header[3].iov_len = strlen(pw->pw_name);
 	writev(pdes[1], header, 7);
 	while ((nread = read(fileno(fp), buf, sizeof(buf))) > 0)
-		(void)write(pdes[1], buf, nread);
-	(void)close(pdes[1]);
+		write(pdes[1], buf, nread);
+	close(pdes[1]);
 done:	(void)fclose(fp);
-	(void)unlink(path);
+	unlink(path);
 	while (wait(&status) >= 0);
 }
Index: cap_mkdb/cap_mkdb.c
===================================================================
RCS file: /cvs/src/usr.bin/cap_mkdb/cap_mkdb.c,v
retrieving revision 1.4
diff -u -u -r1.4 cap_mkdb.c
--- cap_mkdb/cap_mkdb.c	3 Nov 2003 19:31:28 -0000	1.4
+++ cap_mkdb/cap_mkdb.c	7 Nov 2004 20:02:14 -0000
@@ -92,7 +92,7 @@
 	 * The database file is the first argument if no name is specified.
 	 * Make arrangements to unlink it if exit badly.
 	 */
-	(void)snprintf(buf, sizeof(buf), "%s.db", capname ? capname : *argv);
+	snprintf(buf, sizeof(buf), "%s.db", capname ? capname : *argv);
 	if ((capname = strdup(buf)) == NULL)
 		errx(1, "strdup failed");
 	if ((capdbp = dbopen(capname,
@@ -114,7 +114,7 @@
 dounlink(void)
 {
 	if (capname != NULL)
-		(void)unlink(capname);
+		unlink(capname);
 }
 
 /*
@@ -232,13 +232,13 @@
 	}
 
 	if (verbose)
-		(void)printf("cap_mkdb: %d capability records\n", reccnt);
+		printf("cap_mkdb: %d capability records\n", reccnt);
 }
 
 void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: cap_mkdb [-v] [-f outfile] file [file ...]\n");
 	exit(1);
 }
Index: chflags/chflags.c
===================================================================
RCS file: /cvs/src/usr.bin/chflags/chflags.c,v
retrieving revision 1.3
diff -u -u -r1.3 chflags.c
--- chflags/chflags.c	2 Oct 2003 17:42:26 -0000	1.3
+++ chflags/chflags.c	7 Nov 2004 20:02:14 -0000
@@ -167,7 +167,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: chflags [-R [-H | -L | -P]] flags file ...\n");
 	exit(1);
 }
Index: chkey/chkey.c
===================================================================
RCS file: /cvs/src/usr.bin/chkey/chkey.c,v
retrieving revision 1.4
diff -u -u -r1.4 chkey.c
--- chkey/chkey.c	30 Aug 2004 18:06:49 -0000	1.4
+++ chkey/chkey.c	7 Nov 2004 20:02:14 -0000
@@ -100,9 +100,9 @@
 	}
 
 #ifdef YP
-	(void)yp_get_default_domain(&domain);
+	yp_get_default_domain(&domain);
 	if (yp_master(domain, PKMAP, &master) != 0) {
-		(void)fprintf(stderr, 
+		fprintf(stderr, 
 			"can't find master of publickey database\n");
 		exit(1);
 	}
@@ -110,18 +110,18 @@
 	uid = getuid() /*geteuid()*/;
 	if (uid == 0) {
 		if (host2netname(name, NULL, NULL) == 0) {
-			(void)fprintf(stderr,
+			fprintf(stderr,
 			"chkey: cannot convert hostname to netname\n");
 			exit(1);
 		}
 	} else {
 		if (user2netname(name, uid, NULL) == 0) {
-			(void)fprintf(stderr,
+			fprintf(stderr,
 			"chkey: cannot convert username to netname\n");
 			exit(1);
 		}
 	}
-	(void)printf("Generating new key for %s.\n", name);
+	printf("Generating new key for %s.\n", name);
 
 	if (!force) {
 		if (uid != 0) {
@@ -132,10 +132,10 @@
 #endif
 			if (pw == NULL) {
 #ifdef YPPASSWD
-				(void)fprintf(stderr, 
+				fprintf(stderr, 
 		"No NIS password entry found: can't change key.\n");
 #else
-				(void)fprintf(stderr,
+				fprintf(stderr,
 		"No password entry found: can't change key.\n");
 #endif
 				exit(1);
@@ -143,7 +143,7 @@
 		} else {
 			pw = getpwuid(0);
 			if (pw == NULL) {
-				(void)fprintf(stderr, 
+				fprintf(stderr, 
 				"No password entry found: can't change key.\n");
 				exit(1);
 			}
@@ -153,7 +153,7 @@
 #ifdef YPPASSWD
 	if (!force) {
 		if (strcmp(crypt(pass, pw->pw_passwd), pw->pw_passwd) != 0) {
-			(void)fprintf(stderr, "Invalid password.\n");
+			fprintf(stderr, "Invalid password.\n");
 			exit(1);
 		}
 	}
@@ -172,22 +172,22 @@
 		xdecrypt(crypt2, getpass("Retype password:"));
 		if (memcmp(crypt2, crypt2 + HEXKEYBYTES, KEYCHECKSUMSIZE) != 0 ||
 		    memcmp(crypt2, secret, HEXKEYBYTES) != 0) {	
-			(void)fprintf(stderr, "Password incorrect.\n");
+			fprintf(stderr, "Password incorrect.\n");
 			exit(1);
 		}
 	}
 
 #ifdef YP
-	(void)printf("Sending key change request to %s...\n", master);
+	printf("Sending key change request to %s...\n", master);
 #endif
 	status = setpublicmap(name, public, crypt1);
 	if (status != 0) {
 #ifdef YP
-		(void)fprintf(stderr,
+		fprintf(stderr,
 		"%s: unable to update NIS database (%u): %s\n",
 				self, status, yperr_string(status));
 #else
-		(void)fprintf(stderr,
+		fprintf(stderr,
 		"%s: unable to update publickey database\n", self);
 #endif
 		exit(1);
@@ -211,24 +211,24 @@
 
 			if (write(fd, secret, strlen(secret)) < 0 ||
 			    write(fd, &newline, sizeof(newline)) < 0) {
-				(void)fprintf(stderr, "%s: ", ROOTKEY);
+				fprintf(stderr, "%s: ", ROOTKEY);
 				perror("write");
 			}
 		}
 	}
 
 	if (key_setsecret(secret) < 0) {
-		(void)printf("Unable to login with new secret key.\n");
+		printf("Unable to login with new secret key.\n");
 		exit(1);
 	}
-	(void)printf("Done.\n");
+	printf("Done.\n");
 	exit(0);
 	/* NOTREACHED */
 }
 
 usage(char *name)
 {
-	(void)fprintf(stderr, "usage: %s [-f]\n", name);
+	fprintf(stderr, "usage: %s [-f]\n", name);
 	exit(1);
 	/* NOTREACHED */
 }
@@ -241,7 +241,7 @@
 {
 	char pkent[1024];
 	
-	(void)sprintf(pkent,"%s:%s", public, secret);
+	sprintf(pkent,"%s:%s", public, secret);
 #ifdef YP
 	return (yp_update(domain, PKMAP, YPOP_STORE,
 		name, strlen(name), pkent, strlen(pkent)));
@@ -261,7 +261,7 @@
 	static struct passwd pw;
 	char *p;
 
-	(void)sprintf(uidstr, "%d", uid);
+	sprintf(uidstr, "%d", uid);
 	if (yp_match(domain, "passwd.byuid", uidstr, strlen(uidstr), 
 			&val, &vallen) != 0) {
 		return (NULL);
Index: chpass/chpass.c
===================================================================
RCS file: /cvs/src/usr.bin/chpass/chpass.c,v
retrieving revision 1.4
diff -u -u -r1.4 chpass.c
--- chpass/chpass.c	3 Nov 2003 19:31:28 -0000	1.4
+++ chpass/chpass.c	7 Nov 2004 20:02:14 -0000
@@ -253,14 +253,14 @@
 	if (op == EDITENTRY) {
 		display(tfd, pw);
 		edit(pw);
-		(void)unlink(tempname);
+		unlink(tempname);
 		tfd = pw_tmp();
 	}
 
 #ifdef YP
 	if (_use_yp) {
 		yp_submit(pw);
-		(void)unlink(tempname);
+		unlink(tempname);
 	} else {
 #endif /* YP */
 	pfd = pw_lock();
@@ -284,7 +284,7 @@
 usage(void)
 {
 
-	(void)fprintf(stderr,
+	fprintf(stderr,
 #ifdef YP
 		"usage: chpass [-o] [-l] [-y] [-d domain] [-h host] [-a list] [-p encpass] [-s shell] [-e mmm dd yy] [user]\n");
 #else
Index: chpass/edit.c
===================================================================
RCS file: /cvs/src/usr.bin/chpass/edit.c,v
retrieving revision 1.3
diff -u -u -r1.3 edit.c
--- chpass/edit.c	2 Oct 2003 17:42:26 -0000	1.3
+++ chpass/edit.c	7 Nov 2004 20:02:14 -0000
@@ -101,7 +101,7 @@
 	if (!(fp = fdopen(fd, "w")))
 		pw_error(tempname, 1, 1);
 
-	(void)fprintf(fp,
+	fprintf(fp,
 #ifdef YP
 	    "#Changing %s information for %s.\n", _use_yp ? "NIS" : "user database", pw->pw_name);
 	if (!uid && (!_use_yp || suser_override)) {
@@ -109,18 +109,18 @@
 	    "#Changing user database information for %s.\n", pw->pw_name);
 	if (!uid) {
 #endif /* YP */
-		(void)fprintf(fp, "Login: %s\n", pw->pw_name);
-		(void)fprintf(fp, "Password: %s\n", pw->pw_passwd);
-		(void)fprintf(fp, "Uid [#]: %lu\n", (unsigned long)pw->pw_uid);
-		(void)fprintf(fp, "Gid [# or name]: %lu\n",
+		fprintf(fp, "Login: %s\n", pw->pw_name);
+		fprintf(fp, "Password: %s\n", pw->pw_passwd);
+		fprintf(fp, "Uid [#]: %lu\n", (unsigned long)pw->pw_uid);
+		fprintf(fp, "Gid [# or name]: %lu\n",
 		    (unsigned long)pw->pw_gid);
-		(void)fprintf(fp, "Change [month day year]: %s\n",
+		fprintf(fp, "Change [month day year]: %s\n",
 		    ttoa(pw->pw_change));
-		(void)fprintf(fp, "Expire [month day year]: %s\n",
+		fprintf(fp, "Expire [month day year]: %s\n",
 		    ttoa(pw->pw_expire));
-		(void)fprintf(fp, "Class: %s\n", pw->pw_class);
-		(void)fprintf(fp, "Home directory: %s\n", pw->pw_dir);
-		(void)fprintf(fp, "Shell: %s\n",
+		fprintf(fp, "Class: %s\n", pw->pw_class);
+		fprintf(fp, "Home directory: %s\n", pw->pw_dir);
+		fprintf(fp, "Shell: %s\n",
 		    *pw->pw_shell ? pw->pw_shell : _PATH_BSHELL);
 	}
 	/* Only admin can change "restricted" shells. */
@@ -137,7 +137,7 @@
 		 *	OR if root, then allow editing of shell.
 		 */
 #endif
-		(void)fprintf(fp, "Shell: %s\n",
+		fprintf(fp, "Shell: %s\n",
 		    *pw->pw_shell ? pw->pw_shell : _PATH_BSHELL);
 	else
 	  list[E_SHELL].restricted = 1;
@@ -147,33 +147,33 @@
 	p = strdup(p ? p : "");
 	list[E_NAME].save = p;
 	if (!list[E_NAME].restricted || !uid)
-	  (void)fprintf(fp, "Full Name: %s\n", p);
+	  fprintf(fp, "Full Name: %s\n", p);
 
         p = strsep(&bp, ",");
 	p = strdup(p ? p : "");
 	list[E_LOCATE].save = p;
 	if (!list[E_LOCATE].restricted || !uid)
-	  (void)fprintf(fp, "Office Location: %s\n", p);
+	  fprintf(fp, "Office Location: %s\n", p);
 
         p = strsep(&bp, ",");
 	p = strdup(p ? p : "");
 	list[E_BPHONE].save = p;
 	if (!list[E_BPHONE].restricted || !uid)
-	  (void)fprintf(fp, "Office Phone: %s\n", p);
+	  fprintf(fp, "Office Phone: %s\n", p);
 
         p = strsep(&bp, ",");
 	p = strdup(p ? p : "");
 	list[E_HPHONE].save = p;
 	if (!list[E_HPHONE].restricted || !uid)
-	  (void)fprintf(fp, "Home Phone: %s\n", p);
+	  fprintf(fp, "Home Phone: %s\n", p);
 
 	bp = strdup(bp ? bp : "");
 	list[E_OTHER].save = bp;
 	if (!list[E_OTHER].restricted || !uid)
-	  (void)fprintf(fp, "Other information: %s\n", bp);
+	  fprintf(fp, "Other information: %s\n", bp);
 
-	(void)fchown(fd, getuid(), getgid());
-	(void)fclose(fp);
+	fchown(fd, getuid(), getgid());
+	fclose(fp);
 }
 
 int
@@ -235,7 +235,7 @@
 			}
 		}
 	}
-	(void)fclose(fp);
+	fclose(fp);
 
 	/* Build the gecos field. */
 	len = strlen(list[E_NAME].save) + strlen(list[E_BPHONE].save) +
@@ -243,7 +243,7 @@
 	    strlen(list[E_OTHER].save) + 5;
 	if (!(p = malloc(len)))
 		err(1, NULL);
-	(void)sprintf(pw->pw_gecos = p, "%s,%s,%s,%s,%s", list[E_NAME].save,
+	sprintf(pw->pw_gecos = p, "%s,%s,%s,%s,%s", list[E_NAME].save,
 	    list[E_LOCATE].save, list[E_BPHONE].save, list[E_HPHONE].save,
 	    list[E_OTHER].save);
 
Index: chpass/pw_copy.c
===================================================================
RCS file: /cvs/src/usr.bin/chpass/pw_copy.c,v
retrieving revision 1.3
diff -u -u -r1.3 pw_copy.c
--- chpass/pw_copy.c	2 Oct 2003 17:42:26 -0000	1.3
+++ chpass/pw_copy.c	7 Nov 2004 20:02:14 -0000
@@ -105,7 +105,7 @@
 			pw_error(NULL, 0, 1);
 		}
 		if (done) {
-			(void)fprintf(to, "%s", buf);
+			fprintf(to, "%s", buf);
 			if (ferror(to))
 				goto err;
 			continue;
@@ -114,7 +114,7 @@
 			if (*p != ' ' && *p != '\t')
 				break;
 		if (*p == '#' || *p == '\n') {
-			(void)fprintf(to, "%s", buf);
+			fprintf(to, "%s", buf);
 			if (ferror(to))
 				goto err;
 			continue;
@@ -126,7 +126,7 @@
 		*p = '\0';
 		if (strcmp(buf, pw->pw_name)) {
 			*p = ':';
-			(void)fprintf(to, "%s", buf);
+			fprintf(to, "%s", buf);
 			if (ferror(to))
 				goto err;
 			continue;
@@ -137,7 +137,7 @@
 			      _PATH_MASTERPASSWD);
 			pw_error(NULL, 0, 1);
 		}
-		(void)fprintf(to, "%s:%s:%s:%s:%s:%s:%s:%s:%s:%s\n",
+		fprintf(to, "%s:%s:%s:%s:%s:%s:%s:%s:%s:%s\n",
 		    pw->pw_name, pw->pw_passwd,
 		    pw->pw_fields & _PWF_UID ? uidstr : "",
 		    pw->pw_fields & _PWF_GID ? gidstr : "",
@@ -158,7 +158,7 @@
 			pw_error(NULL, 0, 1);
 		} else
 #endif /* YP */
-		(void)fprintf(to, "%s:%s:%s:%s:%s:%s:%s:%s:%s:%s\n",
+		fprintf(to, "%s:%s:%s:%s:%s:%s:%s:%s:%s:%s\n",
 		    pw->pw_name, pw->pw_passwd,
 		    pw->pw_fields & _PWF_UID ? uidstr : "",
 		    pw->pw_fields & _PWF_GID ? gidstr : "",
@@ -170,5 +170,5 @@
 
 	if (ferror(to))
 err:		pw_error(NULL, 1, 1);
-	(void)fclose(to);
+	fclose(to);
 }
Index: chpass/util.c
===================================================================
RCS file: /cvs/src/usr.bin/chpass/util.c,v
retrieving revision 1.3
diff -u -u -r1.3 util.c
--- chpass/util.c	2 Oct 2003 17:42:26 -0000	1.3
+++ chpass/util.c	7 Nov 2004 20:02:14 -0000
@@ -61,7 +61,7 @@
 
 	if (tval) {
 		tp = localtime(&tval);
-		(void)sprintf(tbuf, "%s %d, %d", months[tp->tm_mon],
+		sprintf(tbuf, "%s %d, %d", months[tp->tm_mon],
 		    tp->tm_mday, tp->tm_year + 1900);
 	}
 	else
@@ -83,7 +83,7 @@
 	}
 	if (!lt) {
 		unsetenv("TZ");
-		(void)time(&tval);
+		time(&tval);
 		lt = localtime(&tval);
 	}
 	if (!(t = strtok(p, " \t")))
Index: cksum/cksum.c
===================================================================
RCS file: /cvs/src/usr.bin/cksum/cksum.c,v
retrieving revision 1.5
diff -u -u -r1.5 cksum.c
--- cksum/cksum.c	30 Aug 2004 18:06:49 -0000	1.5
+++ cksum/cksum.c	7 Nov 2004 20:02:14 -0000
@@ -115,7 +115,7 @@
 			rval = 1;
 		} else
 			pfncn(fn, val, len);
-		(void)close(fd);
+		close(fd);
 	} while (*argv);
 	exit(rval);
 }
@@ -123,7 +123,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: cksum [-o 1 | 2 | 3] [file ...]\n");
-	(void)fprintf(stderr, "       sum [file ...]\n");
+	fprintf(stderr, "usage: cksum [-o 1 | 2 | 3] [file ...]\n");
+	fprintf(stderr, "       sum [file ...]\n");
 	exit(1);
 }
